<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:context=".bank.M4BankActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingBottom="@dimen/activity_vertical_margin"
        android:paddingLeft="@dimen/activity_horizontal_margin"
        android:paddingRight="@dimen/activity_horizontal_margin"
        android:paddingTop="@dimen/activity_vertical_margin">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <Button
                android:id="@+id/authorize"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/authorize_button" />
            <EditText
                android:id="@+id/amountField"
                android:layout_weight="1"
                android:inputType="numberDecimal"
                android:hint="@string/amount_hint"
                android:layout_width="0dp"
                android:layout_height="wrap_content" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <EditText
                android:id="@+id/login"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:hint="@string/login_hint"
                android:inputType="text" />

            <EditText
                android:id="@+id/password"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:hint="@string/password_hint"
                android:inputType="textPassword" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <Button
                android:id="@+id/logout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/logout_button" />

            <!--<Button-->
            <!--android:id="@+id/changePassword"-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_gravity="center_horizontal"-->
            <!--android:text="@string/change_password_button" />-->

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!--<EditText-->
            <!--android:id="@+id/oldPassword"-->
            <!--android:layout_width="0dp"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_weight="1"-->
            <!--android:hint="@string/old_password_hint"-->
            <!--android:inputType="textPassword" />-->

            <!--<EditText-->
            <!--android:id="@+id/newPassword"-->
            <!--android:layout_width="0dp"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_weight="1"-->
            <!--android:hint="@string/new_password_hint"-->
            <!--android:inputType="textPassword" />-->

        </LinearLayout>

        <!--<Button-->
        <!--android:id="@+id/register"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:text="@string/register_button" />-->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!--<EditText-->
            <!--android:id="@+id/code"-->
            <!--android:layout_width="0dp"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_weight="1"-->
            <!--android:hint="@string/code_hint"-->
            <!--android:inputType="number" />-->

            <!--<EditText-->
            <!--android:id="@+id/pin"-->
            <!--android:layout_width="0dp"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:layout_weight="1"-->
            <!--android:hint="@string/pin_hint"-->
            <!--android:inputType="number" />-->

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp">

            <Button
                android:id="@+id/checkAccess"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:text="@string/check_access" />

            <Spinner
                android:id="@+id/checkAccessSpinner"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:entries="@array/accessTypes" />

        </LinearLayout>

        <Button
            android:id="@+id/getAccesses"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/get_available_operations" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:orientation="horizontal">

            <!--<Button-->
            <!--android:id="@+id/setLanguage"-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="match_parent"-->
            <!--android:text="@string/set_language" />-->

            <!--<Spinner-->
            <!--android:id="@+id/setLanguageSpinner"-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:entries="@array/languages" />-->

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <Button
                android:id="@+id/checkConnection"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:text="@string/check_connection" />

            <Button
                android:id="@+id/getLicense"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:text="@string/get_license" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <Button
                android:id="@+id/makeCardPayment"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="@string/make_card_payment" />

            <Button
                android:id="@+id/getCommonCardData"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="@string/get_common_card_data" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <Button
                android:id="@+id/makeReversalLast"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="@string/make_reversal_last" />

            <Button
                android:id="@+id/getCurrentTransactionDetails"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="@string/get_current_transaction_details" />

            <Button
                android:id="@+id/completePayment"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="@string/complete_payment" />

        </LinearLayout>

        <Button
            android:id="@+id/readerInformation"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/reader_information" />

        <Button
            android:id="@+id/versionStore"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/version_store" />

        <Button
            android:id="@+id/versionTracker"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/version_tracker" />

        <Button
            android:id="@+id/makeReversalLastWithCallback"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_reversal_last_saved_operation" />

        <Button
            android:id="@+id/makeCashPayment"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_cash_payment" />

        <Button
            android:id="@+id/makeAlipayPayment"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_alipay_payment" />

        <Button
            android:id="@+id/makeCardRefund"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_card_refund" />

        <!--<Button-->
        <!--android:id="@+id/makeCardRefundWithD200"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="match_parent"-->
        <!--android:text="@string/make_card_refund_with_d200" />-->

        <Button
            android:id="@+id/makeCashRefund"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_cash_refund" />

        <!--<Button-->
        <!--android:id="@+id/makeCashRefundWithD200"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="match_parent"-->
        <!--android:text="@string/make_cash_refund_with_d200" />-->

        <Button
            android:id="@+id/makeAlipayRefund"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_alipay_refund" />

        <!--<Button-->
        <!--android:id="@+id/makeReversal"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="match_parent"-->
        <!--android:text="@string/make_reversal" />-->

        <Button
            android:id="@+id/makeEasyReversal"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_easy_reversal" />

        <Button
            android:id="@+id/makeEasyCardReversal"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_easy_card_reversal" />

        <Button
            android:id="@+id/makeReversalSavedUnsuccessfulOperation"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/makeReversalSavedUnsuccessfulOperation" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!--<Button-->
            <!--android:id="@+id/makeReconciliation"-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="match_parent"-->
            <!--android:text="@string/make_reconciliation" />-->

            <!--<Button-->
            <!--android:id="@+id/enterServiceMenu"-->
            <!--android:layout_width="wrap_content"-->
            <!--android:layout_height="match_parent"-->
            <!--android:text="@string/enter_service_menu" />-->

        </LinearLayout>

        <!--<Button-->
        <!--android:id="@+id/addAdditionalCardReader"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="match_parent"-->
        <!--android:text="@string/add_additional_card_reader" />-->

        <!--<Button-->
        <!--android:id="@+id/getReadersInfo"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="match_parent"-->
        <!--android:text="@string/get_readers_info" />-->

        <Button
            android:id="@+id/getMerchantUsers"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/get_merchant_users" />

        <Button
            android:id="@+id/resendReceipt"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/resend_receipt" />

        <Button
            android:id="@+id/getTransactionDetails"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/get_transaction_details" />

        <Button
            android:id="@+id/getTransactionListFilter"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/get_filter_list" />

        <Button
            android:id="@+id/activate"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/activate" />

        <Button
            android:id="@+id/addPrinter"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/add_new_printer" />

        <Button
            android:id="@+id/deletePrinter"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/delete_printer" />

        <Button
            android:id="@+id/printFiscal"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/printing_fiscal_check" />

        <Button
            android:id="@+id/printSlipCheck"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/printing_slip_check" />

        <Button
            android:id="@+id/printTemplate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/print_template" />

        <Button
            android:id="@+id/printReportX"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/printing_x_report" />

        <Button
            android:id="@+id/printReportZ"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/printing_z_report" />

        <Button
            android:id="@+id/printFullReport"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/printing_full_report" />

        <Button
            android:id="@+id/printShortReport"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/printing_short_report" />

        <!--<Button-->
        <!--android:id="@+id/executeExternalApplication"-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="match_parent"-->
        <!--android:text="@string/call_external_application" />-->

        <Button
            android:id="@+id/sendRegisterRequest"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/send_register_request" />

        <Button
            android:id="@+id/cancel"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/cancel_interface" />

        <Button
            android:id="@+id/ecomPayment"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/make_ecom_payment" />

        <Button
            android:id="@+id/getAccessPaymentInstruments"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/get_access_payment_instruments" />

        <Button
            android:id="@+id/closeDay"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/close_day" />

        <Button
            android:id="@+id/writeTerminalKeys"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:text="@string/write_terminal_keys" />

        <Button
            android:id="@+id/readBarCode"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/read_barcode" />

        <Button
            android:id="@+id/updateDictionary"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/update_dictionary" />

    </LinearLayout>

</ScrollView>
